Subject: Re: pata_sl82c105 can not reserve IO region

From: Alan <[email-masked]>
Date: Sun, 3 Dec 2006 23:07:20 +0000

> I modified pci_request_regions to request only the first 5 regions.
> Now the detection works, but access to the drive does not work:

Some drives do that with the new EH code. Its ATAPI specific and I don't
know why. With the older libata it all works. It may also be a driver bug
but since it also pops up all over the place with the new EH code and not
the old its damn near impossible to debug any PATA problems that look
like this at the moment.

Alan